common cvs-import.sh,1.14,1.15

Bill Nottingham (notting) fedora-extras-commits at redhat.com
Wed Feb 7 05:04:18 UTC 2007


Author: notting

Update of /cvs/extras/common
In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv26261

Modified Files:
	cvs-import.sh 
Log Message:
re-add Makefile if necessary (<bugs.michael at gmx.net>)



Index: cvs-import.sh
===================================================================
RCS file: /cvs/extras/common/cvs-import.sh,v
retrieving revision 1.14
retrieving revision 1.15
diff -u -r1.14 -r1.15
--- cvs-import.sh	3 Feb 2007 16:42:42 -0000	1.14
+++ cvs-import.sh	7 Feb 2007 05:03:48 -0000	1.15
@@ -167,6 +167,32 @@
     fi
 fi
 
+CreateBranchMakefile() {
+    cat >Makefile <<EOF
+# Makefile for source rpm: $NAME
+# \$Id\$
+NAME := $NAME
+SPECFILE = \$(firstword \$(wildcard *.spec))
+
+define find-makefile-common
+for d in common ../common ../../common ; do if [ -f \$\$d/Makefile.common ] ; then if [ -f \$\$d/CVS/Root -a -w \$\$/Makefile.common ] ; then cd \$\$d ; cvs -Q update ; fi ; echo "\$\$d/Makefile.common" ; break ; fi ; done
+endef
+
+MAKEFILE_COMMON := \$(shell \$(find-makefile-common))
+
+ifeq (\$(MAKEFILE_COMMON),)
+# attept a checkout
+define checkout-makefile-common
+test -f CVS/Root && { cvs -Q -d \$\$(cat CVS/Root) checkout common && echo "common/Makefile.common" ; } || { echo "ERROR: I can't figure out how to checkout the 'common' module." ; exit -1 ; } >&2
+endef
+
+MAKEFILE_COMMON := \$(shell \$(checkout-makefile-common))
+endif
+
+include \$(MAKEFILE_COMMON)
+EOF
+}
+
 # Figure out if we need to import a new module
 if [ -z "$(grep ""^$NAME[[:space:]]"" modules 2>/dev/null)" ] ; then
     # This is a new module, it does not exist
@@ -205,29 +231,7 @@
 	    # handle the module build
 	    cd devel
 	    touch sources .cvsignore
-	    cat >Makefile <<EOF
-# Makefile for source rpm: $NAME
-# \$Id\$
-NAME := $NAME
-SPECFILE = \$(firstword \$(wildcard *.spec))
-
-define find-makefile-common
-for d in common ../common ../../common ; do if [ -f \$\$d/Makefile.common ] ; then if [ -f \$\$d/CVS/Root -a -w \$\$/Makefile.common ] ; then cd \$\$d ; cvs -Q update ; fi ; echo "\$\$d/Makefile.common" ; break ; fi ; done
-endef
-
-MAKEFILE_COMMON := \$(shell \$(find-makefile-common))
-
-ifeq (\$(MAKEFILE_COMMON),)
-# attept a checkout
-define checkout-makefile-common
-test -f CVS/Root && { cvs -Q -d \$\$(cat CVS/Root) checkout common && echo "common/Makefile.common" ; } || { echo "ERROR: I can't figure out how to checkout the 'common' module." ; exit -1 ; } >&2
-endef
-
-MAKEFILE_COMMON := \$(shell \$(checkout-makefile-common))
-endif
-
-include \$(MAKEFILE_COMMON)
-EOF
+	    CreateBranchMakefile
 	    cvs -Q add Makefile sources .cvsignore
             # commit all the added stuff
 	    cd .. && cvs -Q commit -m "Setup of module $NAME" >/dev/null
@@ -339,6 +343,11 @@
 done
 # upload the tarballs
 pushd ${BRANCH} >/dev/null
+# Re-add the branch Makefile (during resurrection of dead packages).
+if [ ! -f Makefile ] ; then
+    CreateBranchMakefile
+    cvs -Q add Makefile
+fi
 rm -f sources && mv sources.new sources
 rm -f .cvsignore && mv .cvsignore.new .cvsignore
 if [ -n "$UPLOADFILES" ] ; then




More information about the scm-commits mailing list